package mschmidt.komo;
/*
 * Custom action that allows password to be entered or changed.
 */

import org.eclipse.jface.action.Action;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public class DbPasswordAction extends Action implements IWorkbenchAction {

	// Initialize the action variables.
	private IWorkbenchWindow thisWindow;

	public final static String ACTION_ID = "mschmidt.komo.DbPasswordAction";

	/**
	 * Create the action and set the appearance variables.
	 */
	public DbPasswordAction(IWorkbenchWindow window) {
		thisWindow = window;
		setId(ACTION_ID);
		setText("Enter Password");
		setToolTipText("Enter or change user password for current session");
		setImageDescriptor(KomoPlugin.getImageDescriptor(ApplicationImages.USER_ICON));
	}
	/*
	 * (non-Javadoc) The action runnable.
	 * 
	 * @see org.eclipse.jface.action.IAction#run()
	 */
	public void run() {
		if (thisWindow != null) {
			Application.dbPassword.changePassword();
		}
	}

	public void dispose() {
	}

}
