package mschmidt.komo.datatools;
/*
 *	Instances of this object class provide a wizard page
 *	that allows the user to input options for the vacuum process. 
 */

import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

public class VacuumWizardPage extends WizardPage {

	/**
	 * Create the wizard.
	 */
	public VacuumWizardPage() {
		super("vacuumPage");
		setTitle("Database Vacuum Wizard");
		setDescription("Database Vacuum Options");
	}

	/**
	 * Create contents of the wizard.
	 * 
	 * @param parent the composite's parent
	 */
	public final void createControl(final Composite parent) {
		Composite container = new Composite(parent, SWT.NO_RADIO_GROUP);
		final GridLayout gridLayout = new GridLayout();
		gridLayout.verticalSpacing = 4;
		gridLayout.horizontalSpacing = 2;
		container.setLayout(gridLayout);
		//
		setControl(container);

		final Button fullButton = new Button(container, SWT.CHECK);
		fullButton.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(final SelectionEvent e) {
				((VacuumWizard) getWizard()).data.doFull = fullButton
				.getSelection();
			}
		});
		fullButton.setToolTipText("Check to perform Full Vacuum");
		fullButton.setText("Full");
		fullButton.setSelection(((VacuumWizard) getWizard()).data.doFull);

		final Button freezeButton = new Button(container, SWT.CHECK);
		freezeButton.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(final SelectionEvent e) {
				((VacuumWizard) getWizard()).data.doFreeze = freezeButton
				.getSelection();
			}
		});
		freezeButton.setToolTipText("Check to freeze tuples during vacuum");
		freezeButton.setText("Freeze");
		freezeButton.setSelection(((VacuumWizard) getWizard()).data.doFreeze);

		final Button verboseButton = new Button(container, SWT.CHECK);
		verboseButton.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(final SelectionEvent e) {
				((VacuumWizard) getWizard()).data.doVerbose = verboseButton
				.getSelection();
			}
		});
		verboseButton
				.setToolTipText("Check to display detailed output about Vacuum operation");
		verboseButton.setText("Verbose");
		verboseButton.setSelection(((VacuumWizard) getWizard()).data.doVerbose);

		final Button analyzeButton = new Button(container, SWT.CHECK);
		analyzeButton.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(final SelectionEvent e) {
				((VacuumWizard) getWizard()).data.doAnalyze = analyzeButton
				.getSelection();
			}
		});
		analyzeButton
				.setToolTipText("Check to perform Analyze function during vacuum");
		analyzeButton.setText("Analyze");
		analyzeButton.setSelection(((VacuumWizard) getWizard()).data.doAnalyze);


	}

}
